//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Intensity/IntensityDataPropertyWidget.h
//! @brief     Defines class IntensityDataPropertyWidget
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_INTENSITY_INTENSITYDATAPROPERTYWIDGET_H
#define BORNAGAIN_GUI_VIEW_INTENSITY_INTENSITYDATAPROPERTYWIDGET_H

#include "GUI/View/Common/SessionItemWidget.h"

class IntensityDataItem;
class ComponentEditor;
class SessionItem;

//! The IntensityDataPropertyWidget shows ComponentEditor for given IntensityDataItem.

class IntensityDataPropertyWidget : public SessionItemWidget {
    Q_OBJECT
public:
    explicit IntensityDataPropertyWidget(QWidget* parent = nullptr);

    QSize sizeHint() const override;
    QSize minimumSizeHint() const override;

    QList<QAction*> actionList() override;

public slots:
    void onTogglePanelAction(bool toggled);

protected:
    void subscribeToItem() override;
    void unsubscribeFromItem() override;
    void contextMenuEvent(QContextMenuEvent*) override;

private:
    QAction* m_togglePanelAction;
    ComponentEditor* m_componentEditor;
};

#endif // BORNAGAIN_GUI_VIEW_INTENSITY_INTENSITYDATAPROPERTYWIDGET_H
