//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Projection/ProjectionsPropertyPanel.h
//! @brief     Defines class ProjectionsPropertyPanel
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_PROJECTION_PROJECTIONSPROPERTYPANEL_H
#define BORNAGAIN_GUI_VIEW_PROJECTION_PROJECTIONSPROPERTYPANEL_H

#include "GUI/View/Common/SessionItemWidget.h"

class ComponentEditor;

class ProjectionsPropertyPanel : public SessionItemWidget {
    Q_OBJECT

public:
    ProjectionsPropertyPanel(QWidget* parent = nullptr);

    QSize sizeHint() const override;
    QSize minimumSizeHint() const override;

protected:
    void subscribeToItem() override;
    void unsubscribeFromItem() override;

private:
    ComponentEditor* m_componentEditor;
};

#endif // BORNAGAIN_GUI_VIEW_PROJECTION_PROJECTIONSPROPERTYPANEL_H
