//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/SampleDesigner/ItemTreeView.h
//! @brief     Defines class ItemTreeView
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_SAMPLEDESIGNER_ITEMTREEVIEW_H
#define BORNAGAIN_GUI_VIEW_SAMPLEDESIGNER_ITEMTREEVIEW_H

#include <QTreeView>

class ItemTreeView : public QTreeView {
    Q_OBJECT
public:
    explicit ItemTreeView(QWidget* parent = nullptr);
    ~ItemTreeView() override;

protected:
#ifndef QT_NO_DRAGANDDROP
    void dragMoveEvent(QDragMoveEvent* event) override;
#endif
};

#endif // BORNAGAIN_GUI_VIEW_SAMPLEDESIGNER_ITEMTREEVIEW_H
